using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using Telerik.Web.UI;
using System.Globalization;

using BE;
using BL;
using Utilitaria;

public partial class frmTipodeProductos : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            //ViewState["Empresa"] = 15; //Session["EmpresaID"].ToString();
            //ViewState["HotelID"] = 8; Request.QueryString["SCR"].ToString();
            ViewState["TipoProducto"] = Request.QueryString["tp"].ToString();
            Combo_PlanDeCuenta();
            Listar();
        }
    }

    private void Combo_PlanDeCuenta()
    {
        BLPlanDeCuentas oBLPlanDeCuentas = new BLPlanDeCuentas();
        List<BEPlanDeCuentas> loPlanDeCuentas;

        loPlanDeCuentas = oBLPlanDeCuentas.fnSelPlanDeCuentasDin("Estado=0" + " and pdc.EstablecimientoID=" + Session["EmpresaID"].ToString().Trim() + " and pdc.NivelSaldoId <> (select Valor From ParametrosGenerales Where ParametroGeneralID = 5001) ", "2 asc, 3 asc", 0);


        for (int i = 0; i < loPlanDeCuentas.Count; i++)
        {
            cbxPlanCta.Items.Insert(i,new RadComboBoxItem(loPlanDeCuentas[i].CodigoPlanCuenta + " -> " + loPlanDeCuentas[i].NombrePlanCuenta.Trim()));
            //cbxPlanCta.Items.Insert(i, new RadComboBoxItem(loPlanDeCuentas[i].NombrePlanCuenta.Trim()));
            cbxPlanCta.Items[i].Value= loPlanDeCuentas[i].PlanCuentaID.ToString().Trim();

            //Diego 26/05/2014
            cbxPlanCtaPenaliad.Items.Insert(i, new RadComboBoxItem(loPlanDeCuentas[i].CodigoPlanCuenta + " -> " + loPlanDeCuentas[i].NombrePlanCuenta.Trim()));
            cbxPlanCtaPenaliad.Items[i].Value = loPlanDeCuentas[i].PlanCuentaID.ToString().Trim();

            cbxPlanCtaconsumoNoEmitido.Items.Insert(i, new RadComboBoxItem(loPlanDeCuentas[i].CodigoPlanCuenta + " -> " + loPlanDeCuentas[i].NombrePlanCuenta.Trim()));
            cbxPlanCtaconsumoNoEmitido.Items[i].Value = loPlanDeCuentas[i].PlanCuentaID.ToString().Trim();

            cbxPlanCtaVinculada.Items.Insert(i, new RadComboBoxItem(loPlanDeCuentas[i].CodigoPlanCuenta + " -> " + loPlanDeCuentas[i].NombrePlanCuenta.Trim()));
            cbxPlanCtaVinculada.Items[i].Value = loPlanDeCuentas[i].PlanCuentaID.ToString().Trim();

            cbxPlanCtaconsumoNoEmitidoVinculada.Items.Insert(i, new RadComboBoxItem(loPlanDeCuentas[i].CodigoPlanCuenta + " -> " + loPlanDeCuentas[i].NombrePlanCuenta.Trim()));
            cbxPlanCtaconsumoNoEmitidoVinculada.Items[i].Value = loPlanDeCuentas[i].PlanCuentaID.ToString().Trim();
            //FIN Diego 26/05/2014
        }

        cbxPlanCta.Items.Insert(0,new RadComboBoxItem("Seleccione..."));
        cbxPlanCta.Items[0].Value= "";

        cbxPlanCta.DataBind();

        //Diego 26/05/2014
        cbxPlanCtaPenaliad.Items.Insert(0, new RadComboBoxItem("Seleccione..."));
        cbxPlanCtaPenaliad.Items[0].Value = "";
        cbxPlanCtaPenaliad.DataBind();

        cbxPlanCtaconsumoNoEmitido.Items.Insert(0, new RadComboBoxItem("Seleccione..."));
        cbxPlanCtaconsumoNoEmitido.Items[0].Value = "";
        cbxPlanCtaconsumoNoEmitido.DataBind();

        cbxPlanCtaVinculada.Items.Insert(0, new RadComboBoxItem("Seleccione..."));
        cbxPlanCtaVinculada.Items[0].Value = "";
        cbxPlanCtaVinculada.DataBind();

        cbxPlanCtaconsumoNoEmitidoVinculada.Items.Insert(0, new RadComboBoxItem("Seleccione..."));
        cbxPlanCtaconsumoNoEmitidoVinculada.Items[0].Value = "";
        cbxPlanCtaconsumoNoEmitidoVinculada.DataBind();
        //FIN Diego 26/05/2014

        oBLPlanDeCuentas = null;
        loPlanDeCuentas = null;
    }

    private void Listar()
    {

        BEConfigTransferencias objBEConfigTransferencias = new BEConfigTransferencias();
        BLConfigTransferencias objBLConfigTransferencias = new BLConfigTransferencias();
        List<BEConfigTransferencias> loConfigTransferencias;

        loConfigTransferencias = objBLConfigTransferencias.fnSelTipodeProductosAll(Convert.ToInt32(ViewState["TipoProducto"].ToString()));

        if (loConfigTransferencias.Count > 0)
        {
            txtNombre.Text = loConfigTransferencias[0].nombre.Trim();
            cbxPlanCta.SelectedValue = loConfigTransferencias[0].PlanCuentaID.ToString().Trim();
            cbxPlanCtaPenaliad.SelectedValue = loConfigTransferencias[0].PlanCuentaIDPenalidad.ToString().Trim();
            cbxPlanCtaconsumoNoEmitido.SelectedValue = loConfigTransferencias[0].PlanCuentaIDConsumoNoEmitido.ToString().Trim();
            cbxPlanCtaVinculada.SelectedValue = loConfigTransferencias[0].PlanCuentaIDVinculada.ToString().Trim();
            cbxPlanCtaconsumoNoEmitidoVinculada.SelectedValue = loConfigTransferencias[0].PlanCuentaIDConsumoNoEmitidoVinculada.ToString().Trim();
        }

        objBEConfigTransferencias = null;
        objBLConfigTransferencias = null;
        loConfigTransferencias = null;
    }

  
    protected void btnGuardar_Click(object sender, EventArgs e)
    {
        BEConfigTransferencias objBEConfigTransferencias = new BEConfigTransferencias();
        BLConfigTransferencias objBLConfigTransferencias = new BLConfigTransferencias();

        objBEConfigTransferencias.tipoproductoId = Convert.ToInt32(ViewState["TipoProducto"].ToString());
        objBEConfigTransferencias.PlanCuentaID = this.cbxPlanCta.SelectedValue.Trim();
        objBEConfigTransferencias.PlanCuentaIDPenalidad = this.cbxPlanCtaPenaliad.SelectedValue.Trim();
        objBEConfigTransferencias.PlanCuentaIDConsumoNoEmitido = this.cbxPlanCtaconsumoNoEmitido.SelectedValue.Trim();
        objBEConfigTransferencias.PlanCuentaIDVinculada = this.cbxPlanCtaVinculada.SelectedValue.Trim();
        objBEConfigTransferencias.PlanCuentaIDConsumoNoEmitidoVinculada = this.cbxPlanCtaconsumoNoEmitidoVinculada.SelectedValue.Trim();

        objBLConfigTransferencias.fnInsUpdTipodeProductos(objBEConfigTransferencias);

        ClientScript.RegisterStartupScript(Page.GetType(), "mykey", "CloseAndRebind();", true);
        
    }

    protected void btnVolver_Click(object sender, EventArgs e)
    {
        ClientScript.RegisterStartupScript(Page.GetType(), "mykey", "CancelEdit();", true);
    }
    protected void GridDistribucionAreas_NeedDataSource(object source, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        Listar();
    }
    protected void GridDistribucionAreas_ItemCommand(object source, GridCommandEventArgs e)
    {

    }

    protected void txtParticipacion_Textchanged(object sender, EventArgs e)
    {
    //    if (Total() > 100)
    //        Label1.Text = "El total de la Participacion debe ser menor que 100";
    //    else
    //        Label1.Text = "";
    //    UpdatePanel1.Update();
    }

    private Decimal Total()
    {
        //Decimal Total = 0;
        //String ValorAct = "";
        //foreach (GridDataItem gr in GridDistribucionAreas.Items)
        //{
        //    ValorAct = ((RadNumericTextBox)gr.FindControl("txtParticipacion")).Text;
        //    if (ValorAct != "")
        //    {
        //        Total += Convert.ToDecimal(ValorAct);
        //    }
        //    else
        //    {
        //        Total += 0;
        //    }
        //}
        return 0; //Total;
    }


    protected void showMessage(string strMessage)
    {
        ScriptManager.RegisterStartupScript(this, this.GetType(), "myscript", "alert('" + strMessage + "');", true);
    }
}
